/***************************************************************************
 *
 * Copyright (C) 2008 Felipe Ortiz Cortés.
 *
 * Author: Felipe Ortiz Cortés. <f.ortiz.c@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef _DBUS_BATTERY_H_
#define _DBUS_BATTERY_H_

#include <QVariant>
#include "dbusdevicemanager.h"

class DBusBattery : public DBusDeviceManager
{
	Q_OBJECT
	
	public:
		DBusBattery();
		~DBusBattery();
// 		QVariant getProperty(QString);
		int getRemainingTime();
        int getCharge();
		bool isBatteryConnected();

	private slots:
		void showBatteryRemove(QString);
		void showBatteryConnected(QString);
		void batteryProperties(int, QList<QVariant>);

	signals:
		void chargePercentChanged(int);
		void batteryTimeChanged(int);
		void batteryStateChanged(bool);

	private:
		QDBusInterface *batIface;
		QString batName;
};
#endif
