/***************************************************************************
 *
 * Copyright (C) 2008 Felipe Ortiz Cortés.
 *
 * Author: Felipe Ortiz Cortés. <f.ortiz.c@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#include <QtDBus/QDBusReply>
#include "dbuslaptop.h"

DBusLaptop::DBusLaptop()
{
	QDBusConnection conection = QDBusConnection::systemBus();
	iface = new QDBusInterface("org.freedesktop.Hal", "/org/freedesktop/Hal/devices/computer",
								"org.freedesktop.Hal.Device", conection);
}

DBusLaptop::~DBusLaptop()
{
	delete(iface);
}

bool DBusLaptop::isLaptop()
{
	QDBusReply<QString> answer = iface->call("GetProperty", "system.formfactor");
	if(answer.value().compare("laptop") != 0)
		return false;
	return true;
}
