/***************************************************************************
 *
 * Copyright (C) 2008 Felipe Ortiz Cortés.
 *
 * Author: Felipe Ortiz Cortés. <f.ortiz.c@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#include <QSystemTrayIcon>
#include <QWidget>
#include "menu.h"
#include "dbusbattery.h"
#include "dbusacadapter.h"

class PM : public QWidget
{
	Q_OBJECT

	public:
		PM();
		~PM();

	private:
		void createSystrayIcon();
		void createConnections();
		void updateIcon(bool, bool, int);

	private slots:
		void acUpdateState(bool);
		void batteryUpdateCharge(int);
// 		void batteryUpdateTime(int);
		void batteryUpdateState(bool);
		void governorWarning(QString);

	private:
		QSystemTrayIcon* systemtray;
		Menu* menu;
		DBusBattery* dbusBat;
		DBusAcAdapter* dbusAc;
};
